
var numeric = "0123456789".split("");
var latinUppercase = "ABCDEFGHIJKLMNOPQRSTUVWXYZ".split("");
var latinLowercase = "abcdefghijklmnopqrstuvwxyz".split("");
var greekUppercase = "ΑΒΓΔΕΖΗΘΙΚΛΜΝΞΟΠΡΣΤΥΦΧΨΩ".split("");
var greekLowercase = "αβγδεζηθικλμνξοπρστυφχψω".split("");

var vowels = "aeiou".split("");

var greekLong = [
	 "alpha"
	,"beta"
	,"gamma"
	,"delta"
	,"epsilon"
	,"zeta"
	,"eta"
	,"theta"
	,"iota"
	,"kappa"
	,"lambda"
	,"mu"
	,"nu"
	,"xi"
	,"omicron"
	,"pi"
	,"rho"
	,"sigma"
	,"tau"
	,"upsilon"
	,"phi"
	,"chi"
	,"psi"
	,"omega"
]

var greek = {
	 prefixes: [
		 "a"
		,"an"
		,"amphi"
		,"ana"
		,"anti"
		,"apo"
		,"cata"
		,"dia"
		,"di"
		,"dys"
		,"ec"
		,"ex"
		,"en"
		,"em"
		,"el"
		,"endo"
		,"ento"
		,"end"
		,"entepi"
		,"ep"
		,"eu"
		,"ev"
		,"exo"
		,"ecto"
		,"hyper"
		,"hypo"
		,"hyp"
		,"meta"
		,"met"
		,"sir"
		,"or"
		,"hyd"
	]
	,suffixes: [
		 "rac"
		,"iac"
		,"al"
		,"an"
		,"ian"
		,"ic"
		,"tic"
		,"ous"
		,"ious"
		,"us"
		,"us"
		,"us"
		,"us"
		,"us"
		,"us"
		,"us"
		,"us"
		,"ius"
		,"ius"
		,"ius"
		,"oid"
		,"ize"
		,"om"
		,"ma"
		,"sis"
		,"se"
		,"sy"
		,"sia"
		,"y"
		,"ula"
		,"ula"
		,"la"
		,"la"
		,"la"
		,"ia"
		,"ium"
		,"ion"
		,"idium"
		,"iscus"
		,"on"
		,"on"
		,"on"
		,"on"
		,"con"
		,"oid"
	]
};

var animals = [
	 "Aardvark"
	,"Albatross"
	,"Alligator"
	,"Alpaca"
	,"Ant"
	,"Anteater"
	,"Antelope"
	,"Ape"
	,"Armadillo"
	,"Axolotl"
	,"Donkey"
	,"Baboon"
	,"Badger"
	,"Barracuda"
	,"Bat"
	,"Bear"
	,"Beaver"
	,"Bee"
	,"Bird"
	,"Bison"
	,"Boar"
	,"Buffalo"
	,"Butterfly"
	,"Camel"
	,"Caribou"
	,"Cassowary"
	,"Cat"
	,"Caterpillar"
	,"Cattle"
	,"Chamois"
	,"Cheetah"
	,"Chicken"
	,"Chimpanzee"
	,"Chinchilla"
	,"Chough"
	,"Coati"
	,"Cobra"
	,"Cockroach"
	,"Cod"
	,"Cormorant"
	,"Coyote"
	,"Crab"
	,"Crane"
	,"Crocodile"
	,"Crow"
	,"Curlew"
	,"Deer"
	,"Dinosaur"
	,"Dog"
	,"Dogfish"
	,"Dolphin"
	,"Donkey"
	,"Dotterel"
	,"Dove"
	,"Dragonfly"
	,"Duck"
	,"Dugong"
	,"Dunlin"
	,"Eagle"
	,"Echidna"
	,"Eel"
	,"Elephant"
	,"Elk"
	,"Emu"
	,"Falcon"
	,"Ferret"
	,"Finch"
	,"Fish"
	,"Flamingo"
	,"Fly"
	,"Fox"
	,"Frog"
	,"Gaur"
	,"Gazelle"
	,"Gerbil"
	,"Giant panda"
	,"Giraffe"
	,"Gnat"
	,"Gnu"
	,"Goat"
	,"Goose"
	,"Gorilla"
	,"Goshawk"
	,"Grasshopper"
	,"Grouse"
	,"Guanaco"
	,"Guinea pig"
	,"Gull"
	,"Hamster"
	,"Hawk"
	,"Hedgehog"
	,"Heron"
	,"Herring"
	,"Hornet"
	,"Horse"
	,"Hummingbird"
	,"Hyena"
	,"Ibex"
	,"Ibis"
	,"Jackal"
	,"Jaguar"
	,"Jellyfish"
	,"Kangaroo"
	,"Kinkajou"
	,"Koala"
	,"Kouprey"
	,"Kudu"
	,"Lemur"
	,"Leopard"
	,"Lion"
	,"Llama"
	,"Lobster"
	,"Locust"
	,"Louse"
	,"Lyrebird"
	,"Magpie"
	,"Mallard"
	,"Mammoth"
	,"Manatee"
	,"Mandrill"
	,"Mink"
	,"Mole"
	,"Mongoose"
	,"Monkey"
	,"Moose"
	,"Mouse"
	,"Mosquito"
	,"Newt"
	,"Octopus"
	,"Okapi"
	,"Opossum"
	,"Ostrich"
	,"Otter"
	,"Owl"
	,"Oyster"
	,"Panther"
	,"Parrot"
	,"Panda"
	,"Pelican"
	,"Penguin"
	,"Pheasant"
	,"Pig"
	,"Pigeon"
	,"Pony"
	,"Porcupine"
	,"Porpoise"
	,"Quail"
	,"Quelea"
	,"Quetzal"
	,"Rabbit"
	,"Raccoon"
	,"Sheep"
	,"Rat"
	,"Raven"
	,"Reindeer"
	,"Rhinoceros"
	,"Salamander"
	,"Salmon"
	,"Sea lion"
	,"Sea urchin"
	,"Seahorse"
	,"Seal"
	,"Shark"
	,"Sheep"
	,"Shrew"
	,"Skunk"
	,"Sloth"
	,"Snail"
	,"Snake"
	,"Spider"
	,"Squirrel"
	,"Swan"
	,"Tapir"
	,"Tarsier"
	,"Termite"
	,"Tiger"
	,"Toad"
	,"Turtle"
	,"Wallaby"
	,"Walrus"
	,"Wasp"
	,"Water buffalo"
	,"Weasel"
	,"Whale"
	,"Wolf"
	,"Wolverine"
	,"Wombat"
	,"Wren"
	,"Yak"
	,"Zebra"
];

var colors = [
	 "Aqua"
	,"Aquamarine"
	,"Azure"
	,"Beige"
	,"Bisque"
	,"Black"
	,"Blue"
	,"Violet"
	,"Brown"
	,"Crimson"
	,"Cyan"
	,"Pink"
	,"Gray"
	,"Blue"
	,"Green"
	,"Khaki"
	,"Magenta"
	,"Orange"
	,"Red"
	,"Turquoise"
	,"White"
	,"Fuchsia"
	,"Gold"
	,"Yellow"
	,"Indigo"
	,"Ivory"
	,"Maroon"
	,"Rose"
	,"Purple"
	,"Brown"
	,"Silver"
	,"Teal"
];

var germanSyllables = [
	 "an"
	,"au"
	,"be"
	,"da"
	,"de"
	,"di"
	,"ei"
	,"el"
	,"en"
	,"er"
	,"es"
	,"ge"
	,"he"
	,"ie"
	,"in"
	,"it"
	,"le"
	,"li"
	,"ne"
	,"re"
	,"se"
	,"si"
	,"te"
	,"un"
	,"an"
	,"abe"
	,"ach"
	,"and"
	,"auf"
	,"aus"
	,"ben"
	,"ber"
	,"das"
	,"den"
	,"der"
	,"die"
	,"ein"
	,"eit"
	,"end"
	,"ere"
	,"ers"
	,"ese"
	,"gen"
	,"hen"
	,"ich"
	,"ige"
	,"ine"
	,"ist"
	,"men"
	,"mit"
	,"nen"
	,"ren"
	,"sei"
	,"sen"
	,"sie"
	,"ste"
	,"ten"
	,"ter"
	,"und"
	,"ung"
	,"ver"
];

var chinese = [
	 "an"
	,"ang"
	,"ao"
	,"ba"
	,"bai"
	,"ban"
	,"bang"
	,"bao"
	,"bei"
	,"ben"
	,"beng"
	,"bi"
	,"bian"
	,"biao"
	,"bie"
	,"bin"
	,"bing"
	,"bo"
	,"bu"
	,"cha"
	,"chai"
	,"chan"
	,"chang"
	,"chao"
	,"che"
	,"chen"
	,"cheng"
	,"chi"
	,"chong"
	,"chou"
	,"chu"
	,"chua"
	,"chuai"
	,"chuan"
	,"chuang"
	,"chui"
	,"chun"
	,"chuo"
	,"da"
	,"dai"
	,"dan"
	,"dang"
	,"dao"
	,"de"
	,"de"
	,"dei"
	,"den"
	,"deng"
	,"di"
	,"dian"
	,"diao"
	,"die"
	,"ding"
	,"diu"
	,"dong"
	,"dou"
	,"du"
	,"duan"
	,"dui"
	,"dun"
	,"duo"
	,"ei"
	,"en"
	,"er"
	,"fa"
	,"fan"
	,"fang"
	,"fei"
	,"fen"
	,"feng"
	,"fo"
	,"fou"
	,"fu"
	,"ga"
	,"gai"
	,"gan"
	,"gang"
	,"gao"
	,"ge"
	,"gei"
	,"gen"
	,"geng"
	,"gong"
	,"gou"
	,"gu"
	,"gua"
	,"guai"
	,"guan"
	,"guang"
	,"gui"
	,"gun"
	,"guo"
	,"ha"
	,"hai"
	,"han"
	,"hang"
	,"hao"
	,"he"
	,"hei"
	,"hen"
	,"heng"
	,"hong"
	,"hou"
	,"hu"
	,"hua"
	,"huai"
	,"huan"
	,"huang"
	,"hui"
	,"hun"
	,"huo"
	,"ji"
	,"jia"
	,"jian"
	,"jiang"
	,"jiao"
	,"jie"
	,"jin"
	,"jing"
	,"jiong"
	,"jiu"
	,"ju"
	,"juan"
	,"jue"
	,"jun"
	,"ka"
	,"kai"
	,"kan"
	,"kang"
	,"kao"
	,"ke"
	,"kei"
	,"ken"
	,"keng"
	,"kong"
	,"kou"
	,"ku"
	,"kua"
	,"kuai"
	,"kuan"
	,"kuang"
	,"kui"
	,"kun"
	,"kuo"
	,"la"
	,"lai"
	,"lan"
	,"lang"
	,"lao"
	,"le"
	,"lve"
	,"lei"
	,"leng"
	,"li"
	,"lia"
	,"lian"
	,"liang"
	,"liao"
	,"lie"
	,"lin"
	,"ling"
	,"liu"
	,"long"
	,"lou"
	,"lu"
	,"luan"
	,"lun"
	,"luo"
	,"ma"
	,"mai"
	,"man"
	,"mang"
	,"mao"
	,"me"
	,"mei"
	,"men"
	,"meng"
	,"mi"
	,"mian"
	,"miao"
	,"mie"
	,"min"
	,"ming"
	,"miu"
	,"mo"
	,"mou"
	,"mu"
	,"na"
	,"nai"
	,"nan"
	,"nang"
	,"nao"
	,"ne"
	,"nei"
	,"nen"
	,"neng"
	,"ni"
	,"nian"
	,"niang"
	,"niao"
	,"nie"
	,"nin"
	,"ning"
	,"niu"
	,"nong"
	,"nou"
	,"nu"
	,"nuan"
	,"nuo"
	,"ou"
	,"pa"
	,"pai"
	,"pan"
	,"pang"
	,"pao"
	,"pei"
	,"pen"
	,"peng"
	,"pi"
	,"pian"
	,"piao"
	,"pie"
	,"pin"
	,"ping"
	,"po"
	,"pou"
	,"pu"
	,"qi"
	,"qia"
	,"qian"
	,"qiang"
	,"qiao"
	,"qie"
	,"qin"
	,"qing"
	,"qiong"
	,"qiu"
	,"qu"
	,"quan"
	,"que"
	,"qun"
	,"ran"
	,"rang"
	,"rao"
	,"re"
	,"ren"
	,"reng"
	,"ri"
	,"rong"
	,"rou"
	,"ru"
	,"rua"
	,"ruan"
	,"rui"
	,"run"
	,"ruo"
	,"sa"
	,"sai"
	,"san"
	,"sang"
	,"sao"
	,"se"
	,"sei"
	,"sen"
	,"seng"
	,"sha"
	,"shai"
	,"shan"
	,"shang"
	,"shao"
	,"she"
	,"shei"
	,"shen"
	,"sheng"
	,"shi"
	,"shou"
	,"shu"
	,"shua"
	,"shuai"
	,"shuan"
	,"shuang"
	,"shui"
	,"shun"
	,"shuo"
	,"si"
	,"song"
	,"sou"
	,"su"
	,"suan"
	,"sui"
	,"sun"
	,"suo"
	,"ta"
	,"tai"
	,"tan"
	,"tang"
	,"tao"
	,"te"
	,"teng"
	,"ti"
	,"tian"
	,"tiao"
	,"tie"
	,"ting"
	,"tong"
	,"tou"
	,"tu"
	,"tuan"
	,"tui"
	,"tun"
	,"tuo"
	,"wa"
	,"wai"
	,"wan"
	,"wang"
	,"wei"
	,"wen"
	,"weng"
	,"wo"
	,"wu"
	,"xi"
	,"xia"
	,"xian"
	,"xiang"
	,"xiao"
	,"xie"
	,"xin"
	,"xing"
	,"xiong"
	,"xiu"
	,"xu"
	,"xuan"
	,"xue"
	,"xun"
	,"ya"
	,"yan"
	,"yang"
	,"yao"
	,"ye"
	,"yi"
	,"yin"
	,"ying"
	,"yong"
	,"you"
	,"yu"
	,"yuan"
	,"yue"
	,"yun"
	,"za"
	,"zai"
	,"zan"
	,"zang"
	,"zao"
	,"ze"
	,"zei"
	,"zen"
	,"zeng"
	,"zha"
	,"zhai"
	,"zhan"
	,"zhang"
	,"zhao"
	,"zhe"
	,"zhei"
	,"zhen"
	,"zheng"
	,"zhi"
	,"zhong"
	,"zhou"
	,"zhu"
	,"zhua"
	,"zhuai"
	,"zhuan"
	,"zhuang"
	,"zhui"
	,"zhun"
	,"zhuo"
	,"zi"
	,"zong"
	,"zou"
	,"zuan"
	,"zui"
	,"zun"
	,"zuo"
	,"zu"
]








